/* ========================================
 *  NodeDither - NodeDither.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __NodeDither_NodeDither_H
#define __NodeDither_NodeDither_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::NodeDither {
enum {
	kParamA = 0,
	kParamB = 1,
  kNumParameters = 2
}; //


class NodeDither final : public SfxCoreExtensionV1
{
public:
    NodeDither();
    ~NodeDither();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	double dL[5000];
	double dR[5000];
	int gcount;
	//default stuff
	uint32_t fpdL;
	uint32_t fpdR;

    float A;
    float B;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
